dojo.provide("com.hcl.etm.adapter.server.web.ui.internal.OTSUIUtil");

(function() {

dojo.require("com.ibm.asq.common.web.ui.internal.util.MessageUtil");
dojo.requireLocalization("com.hcl.etm.adapter.server.web.ui.internal", "messages");
// define a message bundle id for OTS
var MessageBundleOTS = "OTS";

dojo.declare("com.hcl.etm.adapter.server.web.ui.internal._MessageLoader", null,
{
    constructor: function(){
        // initializes the ots message bundle
       MessageUtil.registerRequireBundle(MessageBundleOTS, "com.hcl.etm.adapter.server.web.ui.internal", "messages");
        //console.debug("Registered RFT bundle: \"" + MessageUtil.getMessage(MessageBundleRQM, "bundle_description") + "\"" );
    }
});

// initializes the message bundle
com.hcl.etm.adapter.server.web.ui.internal.MessageLoader = new com.hcl.etm.adapter.server.web.ui.internal._MessageLoader();

com.hcl.etm.adapter.server.web.ui.internal.OTSUIUtil = {
	   
    /**
     * Return the message from the message bundle with the specified keyword.
     * Optional token arguments are for replacing place holders in the message
     * definition.  The place holders have the syntax "%number" with the number
     * starting from 1.  For example, if the message "myStr" is defined as
     * "This is %1 of %2 message".  getMessage("myStr", "one", "my many") will return
     * "This is one of my many message".
     */
    getMessage: function(keyword, tokens) {
        var args = [];
		if (arguments.length > 1)
		{
        	var length = arguments.length;
			for( var i = 1; i < length; i++){ 
            	args.push(arguments[i]);
			}
        }
		if (args.length == 0)
			return MessageUtil.getMessage(MessageBundleOTS, keyword);
		else if (args.length == 1)
			return MessageUtil.getMessage(MessageBundleOTS, keyword, args[0]);
		else if (args.length == 2)
			return MessageUtil.getMessage(MessageBundleOTS, keyword, args[0], args[1]);
		else if (args.length == 3)
        	return MessageUtil.getMessage(MessageBundleOTS, keyword, args[0], args[1], args[2]);
    }
};
})();
