dojo.provide("com.hcl.etm.adapter.server.web.ui.internal.view.execution.ServerExecutionLog");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dojox.xml.parser");

dojo.require("com.ibm.team.repository.web.transport.TeamServerClient");
dojo.require("com.ibm.team.repository.web.transport.ServiceRequest");

//Clients
dojo.require("jazz.app.context");
dojo.require("jazz.ui.HoverPopup");

(function() { // module container

var ServiceRequest 					= com.ibm.team.repository.web.transport.ServiceRequest;
var TeamServerClient				= com.ibm.team.repository.web.transport.TeamServerClient;
var getCurrentProjectArea			= jazz.app.context.get;
var REPORT_REST_SERVICE_URI 		= "com.ibm.team.reports.common.internal.service.IReportRestService";


dojo.declare("com.hcl.etm.adapter.server.web.ui.internal.view.execution.ServerExecutionLog",[dijit._Widget, dijit._Templated],
	{
		templatePath: dojo.moduleUrl("com.hcl.etm.adapter.server.web", "ui/internal/view/templates/execution/ServerExecutionLog.html"),
		
		result: null,
		_itemId: null,
		reportUrlPrefix: "../../", /* Optional: If not specified, defaults to web ui prefix */
		
		initialize: function()
		{
			var result = this.result;
			if(result.itemId != null){
				this._itemId = result.itemId;
			}

			var resultLinkContributions = result.linkContributions;
			if(resultLinkContributions){
				var contributionsLength = resultLinkContributions.length;
				for(var i = 0; i < contributionsLength; i++)
				{
					this._detailsContainer.appendChild(this._getLinkAnchor(resultLinkContributions[i].comment, resultLinkContributions[i].url));
					this._detailsContainer.appendChild(document.createElement("br"));
				}
			}
			
		},
		
		
		_getLinkAnchor: function(label, link) {
		
			var saveAnchor= document.createElement("a");
			saveAnchor.className= "actionLink";
			saveAnchor.target = "_blank";
			saveAnchor.href = link;			
			saveAnchor.appendChild(document.createTextNode(label));	
			return saveAnchor;
		},
		
		_error: function(e){
			console.error("An error occurred: [" + e.message + "] @ FunctionalExecutionLog#_error");
		}
	}
);

}
)();